Subject: RE: [Ltru] DD, YD, and YU (was: Question)

From: "Peter Constable" <[email-masked]>
Date: Wed, 30 Mar 2005 08:40:50 -0800

> From: [email-masked] [mailto:[email-masked]]
On Behalf Of
> Frank Ellermann

> > Changing the date to 1995 would add only five more codes
> > (BU, DD, NT, SU, and YD) to the blacklist.  Is that worth
> > violating the agreement set down in RFC 1766?
> 
> I'm not sure.  BU, NT, and SU are still visible on the 3166-1
> page.  DD and YD are officially unassigned.  In other words
> they could be assigned to a new region tomorrow when necessary.

One of the basic issues in 3066bis is to ensure stability of tags. DD
and YD *are* valid under RFC 3066; we should not change that. It is not
very likely that they'll get reassigned any time soon, but if they
happen to get reassigned after a new RFC is in place, it will have means
to deal with that. It is so unlikely that they will get reassigned
before then that there is no need to waste time making contingency
plans.

 Peter Constable

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Addison Phillips" <[email-masked]>
Date: Wed, 30 Mar 2005 09:13:57 -0800

+1

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of John Cowan
> Sent: mardi 29 mars 2005 23:12
> To: Doug Ewell
> Cc: [email-masked]
> Subject: Re: [Ltru] Re: DD, YD, and YU (was: Question)
> 
> Doug Ewell scripsit:
> 
> > So could the others.  Look, we've already agreed (I think) that the
> > codes withdrawn before 1988 can be removed without sacrificing
> > compatibility.  That's 15 of the 24 withdrawn codes, or 62%.  I think we
> > should move on.
> 
> +1
> 
> > The main value of allowing 'DD' as well as 'DE' is that tags in 'DD'
> > were allowed under RFC 1766.  Yes, I know that means we have a code for
> > present-day Germany and a code for the former East Germany, but no code
> > for the former West Germany.  I don't see that as a significant gap in
> > tagging flexibility.  What does everyone else think?
> 
> +1
> 
> --
> It was dreary and wearisome.  Cold clammy winter still held way in this
> forsaken country.  The only green was the scum of livid weed on the dark
> greasy surfaces of the sullen waters.  Dead grasses and rotting reeds
> loomed
> up in the mists like ragged shadows of long-forgotten summers.
>         --"The Passage of the Marshes"          http://www.ccil.org/~cowan
>

---

From: "Peter Constable" <[email-masked]>
Date: Wed, 30 Mar 2005 17:29:58 -0800

> From: John Cowan [mailto:[email-masked]]

> > - If there were real differences before, do they disappear after the
> > merger? (This might possibly happen, for instance if the differences
are
> > spelling.)
> 
> It doesn't much matter from the POV of standardizers, since whatever
was
> valid before is still valid, so ll-AA and ll-BB tags would still be
so.
> Language-taggers would have to make their own decisions.

They'd still be valid, but the semantics might have changed. Suppose AA
and BB merge, and the new entity has an ID of AA. But suppose there
continue to be dialect differences. For existing content, ll-AA means
dialect A of ll; on new content, though, ll-AA means dialects A or B.

Peter